package com.example.feli.myfirstapp;

import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.LinearLayout;
import android.widget.LinearLayout.LayoutParams;
import android.widget.TextView;

import static android.provider.AlarmClock.EXTRA_MESSAGE;

public class MainActivity extends AppCompatActivity {

    public final static String EXTRA_MESSAGE = "com.example.feli.myfirstapp.MESSAGE";
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        LinearLayout linearLayout = (LinearLayout) findViewById(R.id.activity_main);
        // wrap_content kann verwendet werden, wenn die Groesse
        //des Textfelds/Buttons den Inhalt umschliessen soll
        LayoutParams wrap_content = new LayoutParams(LayoutParams.WRAP_CONTENT, LayoutParams.WRAP_CONTENT);

        Button button1 = new Button(this);
        button1.setLayoutParams(wrap_content);
        button1.setText("SEND (JAVA BUTTON)");
        //wenn Button1 geklickt wird soll sendMessage aufgerufen werden.
        button1.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                sendMessage(v);
            }
        });
        linearLayout.addView(button1);
        
        //Textfeld erstellen und zum linearLayout hinzufuegen
        TextView textView1 = new TextView(this);
        textView1.setLayoutParams(wrap_content);
        textView1.setText("programmatisch erstellte TextView1");
        textView1.setPadding(20, 20, 20, 20);       // in Pixeln (left, top, right, bottom)
        linearLayout.addView(textView1);

        //editierbares Textfeld
        EditText editText2 = new EditText(this);
        editText2.setLayoutParams(new LayoutParams(LayoutParams.MATCH_PARENT, LayoutParams.WRAP_CONTENT));
        linearLayout.addView(editText2);

        
        
    }

    public void sendMessage(View view) {
        //Text aus Textfeld edit_message auslesen
        EditText editText = (EditText) findViewById(R.id.edit_message);
        String message = editText.getText().toString();
        // Intent oeffnet DisplayMessageActivity
        Intent intent = new Intent(this, DisplayMessageActivity.class);
        intent.putExtra(EXTRA_MESSAGE, message);
        startActivity(intent);
    }
}
